---
zabbix_agent_version: 4.0
zabbix_version: "{{ zabbix_agent_version }}"
zabbix_version_patch: 0
zabbix_repo: zabbix
zabbix_agent_package: zabbix-agent
zabbix_sender_package: zabbix-sender
zabbix_get_package: zabbix-get
zabbix_agent_package_state: present
zabbix_agent_server: monitoring.rm.mosreg.ru
zabbix_agent_serveractive:
zabbix_selinux: False
zabbix_agent_src_reinstall: True
zabbix_agent_apt_priority:

# Selinux
selinux_allow_zabbix_run_sudo: False

zabbix_agent_packages:
  - zabbix-agent
  - zabbix-sender
  - zabbix-get

zabbix_install_pip_packages: true
zabbix_apt_force_apt_get: yes
zabbix_apt_install_recommends: no

zabbix_agent_distribution_major_version: "{{ ansible_distribution_major_version }}"
zabbix_agent_distribution_release: "{{ ansible_distribution_release }}"
zabbix_agent_os_family: "{{ ansible_os_family }}"

zabbix_repo_yum:
  - name: zabbix
    description: Zabbix Official Repository - $basearch
    baseurl: http://repo.zabbix.com/zabbix/{{ zabbix_version }}/rhel/{{ zabbix_agent_distribution_major_version }}/$basearch/
    priority: 1
    gpgcheck: 0
    gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-ZABBIX
    state: present
  - name: zabbix-non-supported
    description: Zabbix Official Repository non-supported - $basearch
    baseurl: http://repo.zabbix.com/non-supported/rhel/{{ zabbix_agent_distribution_major_version }}/$basearch/
    priority: 1
    gpgcheck: 0
    gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-ZABBIX
    state: present

# Zabbix API stuff
zabbix_agent_server_url: ""
zabbix_url: "{{ zabbix_agent_server_url }}"
zabbix_api_http_user: Admin
zabbix_api_http_password: 
zabbix_api_user: Admin
zabbix_api_pass: 
zabbix_api_create_hostgroup: True
zabbix_api_create_hosts: True
zabbix_create_hostgroup: present  # or absent
zabbix_create_host: present       # or absent
zabbix_update_host: yes
zabbix_host_status: enabled       # or disabled
zabbix_proxy: null
zabbix_inventory_mode: disabled
zabbix_useuip: 1
zabbix_host_groups:
  - Linux servers
zabbix_link_templates:
  - Template OS Linux

zabbix_agent_interfaces:
  - type: 1
    main: 1
    useip: "{{ zabbix_useuip }}"
    ip: "{{ zabbix_agent_ip }}"
    dns: "{{ ansible_fqdn }}"
    port: "{{ zabbix_agent_listenport }}"

zabbix_agent_firewall_enable: False
zabbix_agent_firewalld_enable: False
zabbix_agent_firewalld_source: "{{ zabbix_agent_server }}"
zabbix_agent_firewall_action: insert
zabbix_agent_firewall_chain: INPUT
zabbix_agent_firewalld_zone:
zabbix_agent_pidfile: /var/run/zabbix/zabbix_agentd.pid
zabbix_agent_logfile: /var/log/zabbix/zabbix_agentd.log
zabbix_agent_logfilesize: 100
zabbix_agent_debuglevel: 3
zabbix_agent_sourceip:
zabbix_agent_enableremotecommands: 0
zabbix_agent_logremotecommands: 0
zabbix_agent_listenport: 10050
zabbix_agent_jmx_listenport:
zabbix_agent_listeninterface:
zabbix_agent_listenip:
zabbix_agent_startagents: 3
zabbix_agent_hostname: "{{ inventory_hostname }}"
zabbix_agent_hostnameitem:
zabbix_agent_hostmetadata:
zabbix_agent_hostmetadataitem:
zabbix_agent_refreshactivechecks: 120
zabbix_agent_buffersend: 5
zabbix_agent_buffersize: 100
zabbix_agent_maxlinespersecond: 100
zabbix_agent_allowroot: 0
zabbix_agent_zabbix_alias:
zabbix_agent_timeout: 3
zabbix_agent_include: /etc/zabbix/zabbix_agentd.d
zabbix_agent_unsafeuserparameters: 0
zabbix_agent_userparameters: []
zabbix_agent_userparameters_templates_src: "userparameters"
zabbix_agent_userparameters_scripts_src: "scripts"
zabbix_agent_custom_scripts: false
zabbix_agent_loadmodulepath: ${libdir}/modules
zabbix_agent_loadmodule:
zabbix_agent_become_on_localhost: True
zabbix_agent_description:
zabbix_agent_inventory_zabbix: {}

# TLS 
#zabbix_agent_tlsconnect:
#zabbix_agent_tlsaccept:
#zabbix_agent_tlscafile:
#zabbix_agent_tlscrlfile:
#zabbix_agent_tlsservercertissuer:
#zabbix_agent_tlsservercertsubject:
#zabbix_agent_tlscertfile:
#zabbix_agent_tlskeyfile:
#zabbix_agent_tlspskidentity:
#zabbix_agent_tlspsk_auto: False
#zabbix_agent_tls_config:
#  unencrypted: '1'
#  psk: '2'
#  cert: '4'
